// vars
var k q c y l etau_l;

varexo junk; //Not a real exo var. Needed for dynare to behave

// parameters
parameters cbeta calpha cdelta cphi cpsi ceta clambda cG_0 etau_k;

load params;
load xinit;
load policy;

// setting params
cbeta = params(1);
calpha = params(2);
cdelta = params(3);
cphi = params(4);
cpsi = params(5);
ceta = params(6);
clambda = params(7);
cG_0 = params(8);
etau_k = policy(1);

// model
model;
k * q + c + cG_0 = (1 - ((clambda - 1)/clambda) * (1 - calpha)) * y + (1 - cdelta) * k(-1);

c(+1) * q = cbeta * c * (1 + (1 - etau_k(+1)) * calpha * (y(+1)/k) - cdelta);

cphi * c * l ^(1 + ceta) = (1 - etau_l) * ((1 - calpha)/clambda) * y;

y = k(-1)^calpha * l ^ (1 - calpha);

cG_0 = (((1 - calpha)/clambda) * etau_l + calpha*etau_k) * y;

q = 1 + (((clambda - 1)^2)/clambda) * ((1 - calpha)/cpsi) * y;
end;


initval;
k  = xinit(1);
q  = xinit(2);
c  = xinit(3);
y  = xinit(4);
l  = xinit(5);
etau_l = xinit(6);
end;

// Some checks
steady;
resid(1);
check;

// solve
stoch_simul(order=3, irf = 0);
