function f = steadys(vars0);
    load params;
    load policy;

    %parameters
    cbeta = params(1);
    calpha = params(2);
    cdelta = params(3);
    cphi = params(4);
    cpsi = params(5);
    ceta = params(6);
    clambda = params(7);
    cG_0 = params(8);

    % Government policy params
    etau_k = policy(1);

    %guesses for initial values

    k = vars0(1);
    q = vars0(2);
    c = vars0(3);
    y = vars0(4);
    l = vars0(5);
    etau_l = vars0(6);

    f = zeros(1, length(vars0));

    %% functions to minimize to find steady states

    f(1) = k * q + c + cG_0 - (1 - ((clambda - 1)/clambda) * (1 - calpha)) * y - (1 - cdelta) * k;

    f(2) = c * q - cbeta * (c) * (1 + (1 - etau_k) * calpha * (y/k) - cdelta);

    f(3) = cphi * c * l ^(1 + ceta) - (1 - etau_l) * ((1 - calpha)/clambda) * y;

    f(4) = y - k^calpha * l ^ (1 - calpha);

    f(5) = cG_0 - ( ((1 - calpha)/clambda) * etau_l + calpha*etau_k ) * y;

    f(6) = q - 1 - (((clambda - 1)^2)/clambda) * ((1 - calpha)/cpsi) * y;
end
